> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.futurejobs.ai/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.futurejobs.ai/_mcp/server.

# Reveal Contact — Email

POST https://prod.api.futurejobs.ai/api/v1/wl/sourcing-session/contact/reveal

`POST /sourcing-session/contact/reveal`

Reveals the email address of a candidate.

Same endpoint as **Reveal Contact — Phone**; only the `revealType` query param differs.

## Headers

| Key | Value |
| --- | --- |
| x-fj-api-key | fjk_ |

## Query Parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| sourcingSessionId | string | yes | Session id. |
| linkedin_profile_url | string | yes | Candidate's LinkedIn URL. |
| revealType | string | yes | Must be `EMAIL`. |

## Response (200)

``` json
{
  "statusCode": 200,
  "data": [
    { "type": "EMAIL", "values": ["candidate@example.com"], "status": "FOUND" },
    { "type": "PHONE", "values": [], "status": null }
  ],
  "message": "Email revealed successfully",
  "status": "SUCCESS"
}

 ```

## cURL

Replace `fjk_YOUR_API_KEY_HERE`, , and (URL-encode the LinkedIn URL), then paste and run:

``` bash
curl -X POST "https://prod.api.futurejobs.ai/api/v1/wl/sourcing-session/contact/reveal?sourcingSessionId=<SESSION_ID>&linkedin_profile_url=<LINKEDIN_URL>&revealType=EMAIL" \
  -H "x-fj-api-key: fjk_YOUR_API_KEY_HERE"

 ```

## Errors

- `401 Unauthorized`
    
- `402 Payment Required` — insufficient credits.
    
- `404 Not Found` — profile not found or no email available for this LinkedIn URL.

Reference: https://docs.futurejobs.ai/fj-sourcing-ap-is/sourcing-session/reveal-contact-email

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: FJ Sourcing APIs
  version: 1.0.0
paths:
  /api/v1/wl/sourcing-session/contact/reveal:
    post:
      operationId: reveal-contact-email
      summary: Reveal Contact — Email
      description: >-
        `POST /sourcing-session/contact/reveal`


        Reveals the email address of a candidate.


        Same endpoint as **Reveal Contact — Phone**; only the `revealType` query
        param differs.


        ## Headers


        | Key | Value |

        | --- | --- |

        | x-fj-api-key | fjk_ |


        ## Query Parameters


        | Name | Type | Required | Description |

        | --- | --- | --- | --- |

        | sourcingSessionId | string | yes | Session id. |

        | linkedin_profile_url | string | yes | Candidate's LinkedIn URL. |

        | revealType | string | yes | Must be `EMAIL`. |


        ## Response (200)


        ``` json

        {
          "statusCode": 200,
          "data": [
            { "type": "EMAIL", "values": ["candidate@example.com"], "status": "FOUND" },
            { "type": "PHONE", "values": [], "status": null }
          ],
          "message": "Email revealed successfully",
          "status": "SUCCESS"
        }

         ```

        ## cURL


        Replace `fjk_YOUR_API_KEY_HERE`, , and (URL-encode the LinkedIn URL),
        then paste and run:


        ``` bash

        curl -X POST
        "https://prod.api.futurejobs.ai/api/v1/wl/sourcing-session/contact/reveal?sourcingSessionId=<SESSION_ID>&linkedin_profile_url=<LINKEDIN_URL>&revealType=EMAIL"
        \
          -H "x-fj-api-key: fjk_YOUR_API_KEY_HERE"

         ```

        ## Errors


        - `401 Unauthorized`
            
        - `402 Payment Required` — insufficient credits.
            
        - `404 Not Found` — profile not found or no email available for this
        LinkedIn URL.
      tags:
        - subpackage_sourcingSession
      parameters:
        - name: sourcingSessionId
          in: query
          required: false
          schema:
            type: string
        - name: linkedin_profile_url
          in: query
          required: false
          schema:
            type: string
        - name: revealType
          in: query
          required: false
          schema:
            type: string
        - name: x-fj-api-key
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Sourcing Session_Reveal Contact —
                  Email_Response_200
servers:
  - url: https://prod.api.futurejobs.ai
    description: https://prod.api.futurejobs.ai
components:
  schemas:
    ApiV1WlSourcingSessionContactRevealPostResponsesContentApplicationJsonSchemaDataItems:
      type: object
      properties:
        type:
          type: string
        values:
          type: array
          items:
            type: string
            format: email
        status:
          type: string
      required:
        - type
        - values
        - status
      title: >-
        ApiV1WlSourcingSessionContactRevealPostResponsesContentApplicationJsonSchemaDataItems
    Sourcing Session_Reveal Contact — Email_Response_200:
      type: object
      properties:
        statusCode:
          type: integer
        data:
          type: array
          items:
            $ref: >-
              #/components/schemas/ApiV1WlSourcingSessionContactRevealPostResponsesContentApplicationJsonSchemaDataItems
        message:
          type: string
        status:
          type: string
      required:
        - statusCode
        - data
        - message
        - status
      title: Sourcing Session_Reveal Contact — Email_Response_200
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-fj-api-key

```

## Examples



**Response**

```json
{
  "statusCode": 200,
  "data": [
    {
      "type": "EMAIL",
      "values": [
        "apoorv.pratik@keyideasinfotech.com",
        "apoorvpratik741@gmail.com"
      ],
      "status": "REVEALED"
    },
    {
      "type": "PHONE",
      "values": [],
      "status": "string"
    }
  ],
  "message": "Email fetched successfully",
  "status": "SUCCESS"
}
```

**SDK Code**

```python Sourcing Session_Reveal Contact — Email_example
import requests

url = "https://prod.api.futurejobs.ai/api/v1/wl/sourcing-session/contact/reveal"

querystring = {"sourcingSessionId":"{{SESSION_ID}}","linkedin_profile_url":"{{LINKEDIN_PROFILE_URL}}","revealType":"EMAIL"}

headers = {"x-fj-api-key": "<apiKey>"}

response = requests.post(url, headers=headers, params=querystring)

print(response.json())
```

```javascript Sourcing Session_Reveal Contact — Email_example
const url = 'https://prod.api.futurejobs.ai/api/v1/wl/sourcing-session/contact/reveal?sourcingSessionId=%7B%7BSESSION_ID%7D%7D&linkedin_profile_url=%7B%7BLINKEDIN_PROFILE_URL%7D%7D&revealType=EMAIL';
const options = {method: 'POST', headers: {'x-fj-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Sourcing Session_Reveal Contact — Email_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://prod.api.futurejobs.ai/api/v1/wl/sourcing-session/contact/reveal?sourcingSessionId=%7B%7BSESSION_ID%7D%7D&linkedin_profile_url=%7B%7BLINKEDIN_PROFILE_URL%7D%7D&revealType=EMAIL"

	req, _ := http.NewRequest("POST", url, nil)

	req.Header.Add("x-fj-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Sourcing Session_Reveal Contact — Email_example
require 'uri'
require 'net/http'

url = URI("https://prod.api.futurejobs.ai/api/v1/wl/sourcing-session/contact/reveal?sourcingSessionId=%7B%7BSESSION_ID%7D%7D&linkedin_profile_url=%7B%7BLINKEDIN_PROFILE_URL%7D%7D&revealType=EMAIL")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["x-fj-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Sourcing Session_Reveal Contact — Email_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://prod.api.futurejobs.ai/api/v1/wl/sourcing-session/contact/reveal?sourcingSessionId=%7B%7BSESSION_ID%7D%7D&linkedin_profile_url=%7B%7BLINKEDIN_PROFILE_URL%7D%7D&revealType=EMAIL")
  .header("x-fj-api-key", "<apiKey>")
  .asString();
```

```php Sourcing Session_Reveal Contact — Email_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://prod.api.futurejobs.ai/api/v1/wl/sourcing-session/contact/reveal?sourcingSessionId=%7B%7BSESSION_ID%7D%7D&linkedin_profile_url=%7B%7BLINKEDIN_PROFILE_URL%7D%7D&revealType=EMAIL', [
  'headers' => [
    'x-fj-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Sourcing Session_Reveal Contact — Email_example
using RestSharp;

var client = new RestClient("https://prod.api.futurejobs.ai/api/v1/wl/sourcing-session/contact/reveal?sourcingSessionId=%7B%7BSESSION_ID%7D%7D&linkedin_profile_url=%7B%7BLINKEDIN_PROFILE_URL%7D%7D&revealType=EMAIL");
var request = new RestRequest(Method.POST);
request.AddHeader("x-fj-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Sourcing Session_Reveal Contact — Email_example
import Foundation

let headers = ["x-fj-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://prod.api.futurejobs.ai/api/v1/wl/sourcing-session/contact/reveal?sourcingSessionId=%7B%7BSESSION_ID%7D%7D&linkedin_profile_url=%7B%7BLINKEDIN_PROFILE_URL%7D%7D&revealType=EMAIL")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```